import request from "../utils/request";

// 查询专栏详情
export function queryColumnDetail(queryParams) {
  return request({
    url: "/app/video/live/column/get",
    method: "get",
    params: queryParams,
  });
}

// 查询专栏视频列表
export function queryColumnVideo(queryParams) {
  return request({
    url: "/app/video-column/live/info/list",
    method: "post",
    data: queryParams,
  });
}

// 查询专栏历史嘉宾
export function queryColumnHisGuest(queryParams) {
  return request({
    url: "/app/video/live/column/hisGuest",
    method: "get",
    params: queryParams,
  });
}

// APP订阅专栏
export function liveColumn(queryParams) {
  return request({
    url: "/app/video/live/column/follow",
    method: "get",
    params: queryParams,
  });
}

// APP查询我订阅的专栏列表
export function getMyLiveColumnList(queryParams) {
  return request({
    url: "/app/video/live/column/follow/list",
    method: "get",
    params: queryParams,
  });
}
